import { GraphqlClientContext } from '#nuxt-graphql-middleware/client-options';
import { GraphqlMiddlewareResponseUnion } from '#nuxt-graphql-middleware/response';
import { GraphqlMiddlewareServerOptions } from '../dist/runtime/types.js';
export { GraphqlMiddlewareServerOptions } from '../dist/runtime/types.js';

declare function defineGraphqlServerOptions<T extends object = object>(options: GraphqlMiddlewareServerOptions<T, GraphqlMiddlewareResponseUnion, GraphqlClientContext>): GraphqlMiddlewareServerOptions<T, GraphqlMiddlewareResponseUnion, GraphqlClientContext>;

export { defineGraphqlServerOptions };
