import { M as ModuleContext } from './shared/nuxt-graphql-middleware.-BeiPV4H.mjs';
import 'graphql';
import 'nuxt/schema';
import '@nuxt/kit';
import 'h3';
import '@graphql-codegen/plugin-helpers';
import '@graphql-codegen/schema-ast';
import 'graphql-typescript-deluxe';

declare function useGraphqlModuleContext(): ModuleContext;
declare function useGraphqlModuleContext(options: {
    nullOnMissing: true;
}): ModuleContext | null;

export { ModuleContext, useGraphqlModuleContext };
